Bug 524297 - F11 virt-manager doesn't allow KVM memory ballooning
F11 virt-manager doesn't allow KVM memory ballooning
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
 
Reported: 2009-09-18 14:42 EDT by Hollis Blanchard
Modified: 2009-10-06 23:15 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.7.0-7.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-06 23:15:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hollis Blanchard 2009-09-18 14:42:27 EDT
Description of problem:
The memory allocation field of virt-manager is disabled while a KVM guest is running.

Version-Release number of selected component (if applicable):
libvirt-0.6.2-17.fc11.i586
virt-manager-0.7.0-5.fc11.i586

How reproducible:
Always.

Steps to Reproduce:
1. Start KVM guest.
2. Run lspci in the guest to verify virtio-balloon device ("00:05.0 RAM memory: Qumranet, Inc. Virtio memory balloon") is present.
3. In virt-manager, click Details tab, then Memory.

Actual results:
Current allocation field is grayed out.

Expected results:
Current allocation field would allow user to change guest memory allocation (triggering balloon action in the guest).

Additional info:
Comment 1 Mark McLoughlin 2009-09-21 13:16:15 EDT
Okay, AFAIK this is fixed in Fedora 12 and the problem in Fedora 11 is some xen specific hack:

  def is_memory_hotplug_capable(self):
   ...
   # Running paravirt guests can change it, or any inactive guest
   if self.vm.OSType() == "linux" \
      or self.status() not in [libvirt.VIR_DOMAIN_RUNNING,\
                               libvirt.VIR_DOMAIN_PAUSED]:
        return True

Cole: feel free to close as fixed in rawhide if you don't think it'd be easy to fix in F11
Comment 2 Fedora Update System 2009-10-05 15:27:08 EDT
virt-manager-0.7.0-7.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/virt-manager-0.7.0-7.fc11
Comment 3 Fedora Update System 2009-10-06 23:15:17 EDT
virt-manager-0.7.0-7.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.